Description

When using the Offset Curve tool, an "User Input" dialog pops-up with a spin box. User can change its value but ignores in which unit this

is displayed. Not convenient.

Maybe a tooltip can indicate the units.

History

#1 - 2016-07-04 10:51 PM - Andreas Neumann

Units are always map units, if not specified.

Of course it would be nice to have different units at hand. But it is a bit a can-of-worms, esp. if your data is in degrees and you want to have meter units and

your projection is not "length-preserving". There is no stable/correct answer for unit conversions in all cases and projection combinations.

#2 - 2016-07-04 11:11 PM - Harrissou Santanna

Agreed. I wasn't asking for having the aility to use layer units or have differents units available. Just inform the user that the shift is done in this units (thus a

tooltip in first step)

Note that this request is somehow related to #15220 (being able to know if I'm in meters or percentage)

#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2018-01-27 12:24 AM - Denis Rouzaud

- Description updated

- Assignee set to Denis Rouzaud

#5 - 2018-02-14 07:34 PM - Denis Rouzaud

- Resolution set to wontfix

- Status changed from Open to Closed

Until there is a proper handling with geographic system, no units will be displayed in user input widget.
